/**********************************************************************
ID: conffile.h

Copyright 2001, Bulent Yilmaz

Part of Microbrew MicroSieve
USENET SPAM filter

http://www.microbrew.org/products/usieve.html


MicroSieve is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

MicroSieve is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MicroSieve; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

**********************************************************************/
#ifndef __CONFFILE_H
#define __CONFFILE_H 1

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "logging.h"

#ifndef INSTALLPREFIX
#include "config.h"
#endif

#define CONF_FILE INSTALLPREFIX "/etc/usieve.conf"
#define DEFAULT_LOGFILE INSTALLPREFIX "/var/usieve/usieve.log"
#define DEFAULT_PIDFILE INSTALLPREFIX "/var/usieve/usieve.pid"
#define DEFAULT_STATSFILE INSTALLPREFIX "/var/usieve/usieve.stats"
#define DEFAULT_ARTICLELOG INSTALLPREFIX "/var/usieve/usieve.art"
#define DEFAULT_AUTOACCEPTREGEX "asdfghjkl"
#define DEFAULT_BLACKHOLEREGEX "asdfghjkl"

long int getmaxartsize();
long int gethistorysize();
long int getstatsinterval();

int getmaxcrossposts();

char *getlogfilename();
char *getpidfilename();
char *getstatsfilename();
char *getarticlelogname();
char *getautoacceptregex();
char *getblackholeregex();

#endif
